[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH]: Do not exit dpkg-buildpackage if couldn't sign the package



Hi,

I'm working on a script to automatically generate debian packages from
cvs, and as a automated process, it won't be able to sign the packages
for every developer (this script is intended for use in software houses
that uses deb packages to release their software). But then I discovered
that when dpkg-buildpackage can't sign the file it won't run
dpkg-genchanges, so dupload won't run either.

This 2 lines patch will cause dpkg-buildpackage to continue generating
the package even if the package couldn't be signed.

[]'s


-- daniel

--- /usr/bin/dpkg-buildpackage~	Wed Apr 24 16:54:51 2002
+++ /usr/bin/dpkg-buildpackage	Wed Apr 24 16:54:01 2002
@@ -205,7 +205,9 @@
 fi
 echo $signsource;
 if [ x$binaryonly = x ]; then
+	set +e
 	$signsource "$pv.dsc"
+	set -e
 fi
 chg=../"$pva.changes"
 withecho dpkg-genchanges "$@" >"$chg"

Attachment: signature.asc
Description: PGP signature


Reply to: